=== debian/changelog ===
maemoswig (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Pierre Amadio <pierre.amadio@libertysurf.fr>  Sat, 27 Jan 2007 19:53:19 +0100
