=== debian/control ===
Source: maemoswig
Section: misc 
Priority: optional
Maintainer: Pierre Amadio <pierre.amadio@libertysurf.fr>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: maemoswig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A port of swig for maemo
 A quick and dirty port of swig to create python modules.
